GDBserver

Public Attributes | List of all members
td_event_msg Struct Reference

`#include "glibc_thread_db.h"`

## Public Attributes
td_event_e | event
const td_thrhandle_t * | th_p
union {
uintptr_t data
} | msg

## Detailed Description

Definition at line 198 of file glibc_thread_db.h.

## Member Data Documentation

## ◆ data

uintptr_t td_event_msg::data

Definition at line 207 of file glibc_thread_db.h.

## ◆ event

td_event_e td_event_msg::event

Definition at line 200 of file glibc_thread_db.h.

## ◆ msg

union { ... } td_event_msg::msg

## ◆ th_p

const td_thrhandle_t* td_event_msg::th_p

Definition at line 201 of file glibc_thread_db.h.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/nat/glibc_thread_db.h